/// <reference path="../../includes.d.ts" />
declare module Kubernetes {
    var hostPorts: any[];
    /**
     * Sorts the the ip field
     *
     * @param ip the ip such as '10.1.2.13'
     * @returns {any}
     */
    function sortByPodIp(ip: any): any;
    function ramdomPort(): number;
    function getRandomString(len: number): string;
    class resourceRCTemplate {
        image: string;
        names: string[];
        createRC(Obj: any): {
            "apiVersion": string;
            "kind": string;
            "metadata": {
                "name": any;
                "labels": {
                    "style": string;
                    "status": string;
                    "isExtract": string;
                    "isTarget": any;
                };
                "annotations": any;
            };
            "spec": {
                replicas: any;
                "template": {
                    "metadata": {
                        "labels": any;
                    };
                    "spec": {
                        "terminationGracePeriodSeconds": number;
                        "containers": any[];
                        "volumes": any[];
                    };
                };
            };
        };
        createVolumeMounts(): any[];
        createVolumes(rootPath: string): any[];
        createContainers(Obj: any): any[];
        createTemplate(Obj: any): {
            "metadata": {
                "labels": any;
            };
            "spec": {
                "terminationGracePeriodSeconds": number;
                "containers": any[];
                "volumes": any[];
            };
        };
    }
    function labelToChinese(labels: any): {};
    function findSameNameReplicationControllers(replicationControllers: any, name: any): any;
    function isFilterRC(rc: any): boolean;
    function isInclude(rcs: any, rc: any): boolean;
    function labelChangeToChines(value: string, key: string): string;
}
